<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('claim_history_cares', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('service_code');
            $table->date('admision_date');
            $table->date('discharge_date');
            $table->integer('claim_id');
            $table->integer('organization_id');
            $table->integer('practitioner_id');
            $table->string('medical_record_number');
            $table->string('symptoms');
            $table->string('sign');
            $table->integer('main_diagnosis_id');
            $table->integer('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('claim_history_cares');
    }
};
